Форум программистов, компьютерный форум, киберфорум
Наши страницы
PHP
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.92/13: Рейтинг темы: голосов - 13, средняя оценка - 4.92
sergei60
48 / 29 / 11
Регистрация: 10.06.2012
Сообщений: 395
1

PHP не распознается apache2

20.08.2016, 19:13. Просмотров 2507. Ответов 3
Метки нет (Все метки)

Нужна помощь. Работаю в линукс системе. Установил апач и php5, но в последствии выяснилось, что апач не может работать с php. Как буд-то не видит его, и приходится код писать в html ,тогда он отображается на моей странице. Всё, что между <?php и ?> воспринимается как php-код и выполняется пыхой, если апач знает о пыхе, но у меня этого не происходит. как восстановит? Прошу написать в упрощенном виде ,так как я только только начинаю разбираться с вэб программированием.Возможно ещё и в конфиг нужно прописать, что ты модуль PHP5 используется? Но как это сделать? Спасибо!

Добавлено через 37 минут
Такой ответ был дан после перезагрузки апач .dimon@dimon-Lenovo-G570 ~ $ sudo /etc/init.d/apache2 restart
[sudo] password for dimon:
* Restarting web server apache2 apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
... waiting apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName А перезагрузал апач потомуо-то поставил пакет libapache2-mod-php5 . Все пытаюсь своим умом дойти...

Добавлено через 4 часа 30 минут
И что интересно . Я поставил такой же комплект. рнр , мускул, апач. на другую систему линукс runtu так там все отлично встало и работает , тут в линукс минт13 не идет.
0
QA
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
20.08.2016, 19:13
Ответы с готовыми решениями:

проблема с веб приложением(php 4.x + MySQL 4.x + Apache2)...
я работаю с веб приложением(php 4.x + MySQL 4.x + Apache2) в браузере Mozilla Firefox 1.5.0.2...

APACHE2.2 И PHP-5.3.5
Всем доброго времени суток. Друзья, установил я APACHE2.2 И PHP-5.3.5 как здесь В итоге открываю...

Apache2 после обновления PHP
Обновила PHP c 5.2.17 до 5.3.6, параллельно обновила Ubuntu c 10.10 до 11.10. При рестарте Apache2...

Правильная установка Apache2+Nginx+MySQL+PHP+PHPmyadmin
Добрый день, Возникла проблема, установил nginx к уже установленной apache2 mysql phpmyadmin....

Как настроить десять сайтов на nginx + apache2 + php и назначить им один ip-адрес?
всем доброе время суток, я пытаюсь настроить nginx + с apache2, вроде бы все настроил файл info.php...

3
foxxxit
36 / 36 / 4
Регистрация: 17.07.2011
Сообщений: 200
Завершенные тесты: 1
22.08.2016, 10:41 2
sergei60, посмотрите конфиг пхп, может не стоит выполнение файлов php
0
sergei60
48 / 29 / 11
Регистрация: 10.06.2012
Сообщений: 395
23.08.2016, 08:51  [ТС] 3
foxxxit, можно подробнее ? Спасибо.

Добавлено через 19 часов 21 минуту
http://horde.me/donVito/chast-1-usta...ux-mint-1.html
Это сайт с инструкцией как установить связку php, apache, msql . но у меня линукс минт не идет полноценная установка . Вот вывод.
Bash
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
sergei@sergei-K50C ~ $ sudo apt-get install apache2 php5 libapache2-mod-php5 php5-curl php5-gd php5-intl php5-mcrypt php5-mysql php5-odbc php5-dev php5-json mysql-server libapache2-mod-auth-mysql phpmyadmin 
[sudo] password for sergei: 
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Заметьте, вместо «php5-json» выбирается «php5-common»
Пакет php5-intl недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
 
Пакет php5-mcrypt недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
 
Пакет phpmyadmin недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
 
E: Для пакета «php5-intl» не найден кандидат на установку
E: Для пакета «php5-mcrypt» не найден кандидат на установку
E: Для пакета «phpmyadmin» не найден кандидат на установку
sergei@sergei-K50C ~ $
Как выйти из этого положения? Как запустить сервер ?
0
sergei60
48 / 29 / 11
Регистрация: 10.06.2012
Сообщений: 395
27.08.2016, 08:52  [ТС] 4
Проделал процедуру от сюда и все пошло как по маслу. http://linux-notes.org/ustanovka-apa...n-ubuntu-mint/ Всем спасибо.
0
27.08.2016, 08:52
Answers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
27.08.2016, 08:52

Не распознается флешка
Отформатировал флешку на 16 гигов в формате fnts компьютер перестал распознавать её.Как...

SSD не распознается
Всем привет. Значит купил я недавно на ebay ssd. Фото прикрепляю к письму. В общем я ранее не...

Не распознается UTF-8
Есть страница, возвращаемая PHP модулем в кодировке UTF-8. Опера распознает ее автоматически, а...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
4
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.